List Public Experiments
curl --request GET \
--url https://api.heybee.app/v1/experiments/public \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heybee.app/v1/experiments/public"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heybee.app/v1/experiments/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"experiments": [
{
"anchor_field": "<string>",
"comparison_policy": {},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"name": "<string>",
"parameter_schema": [
{}
],
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"access_role": "owner",
"access_scope": "personal",
"allow_playback_speed": false,
"allow_public_voting": false,
"axes": [
{}
],
"budget_cap_credits": 123,
"budget_remaining_credits": 123,
"budget_spent_credits": 0,
"can_manage_experiment": false,
"can_run_experiment": false,
"can_view_analysis": false,
"can_view_api": false,
"can_view_votes": false,
"confidence_score": 0,
"enforce_playback": false,
"is_discoverable": false,
"is_public_readable": false,
"min_playback_percent": 0,
"min_viewing_seconds": 0,
"policy_version": "v1",
"purchased_comparisons": 0,
"readiness_errors": [
{}
],
"readiness_state": "ready",
"remaining_comparisons": 0,
"require_feedback": false,
"requires_anchor": true,
"rlhf_policy": {
"baseline_prior": {
"enabled": false,
"strength": 500
},
"budget_cap_credits": 1,
"collection_mode": "pairwise",
"hidden_exam": {
"enabled": false,
"frequency": 0
},
"participant_notes": "<string>",
"queue": {
"max_concurrent_assignments": 1,
"strategy": "balanced"
},
"round": {
"max_rounds": 5000,
"min_decisive_pairs_per_axis": 50
},
"version": 1
},
"sample_count": 0,
"score_count": 0,
"servable_pair_count": 0,
"status": "paused",
"team_member_count": 0,
"team_name": "<string>",
"total_votes": 0,
"used_comparisons": 0,
"vote_cost_credits": 1
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Experiments
List Public Experiments
List public experiments for discovery.
GET
/
v1
/
experiments
/
public
List Public Experiments
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Lifecycle state for experiment operations.
Available options:
draft, active, paused, completed, archived ⌘I

